<?php
// Variables attendues du contrôleur: $user, $translations, $currentLang, $darkModeClass, $errorMessage (optionnel)
require_once APP_ROOT_DIR . '/src/Views/shared/header.php';
?>

<div class="container mt-5">
    <h2><?= htmlspecialchars($translations['edit_password_title'] ?? 'Edit Password Title') ?></h2>

    <?php if (isset($errorMessage)): ?>
        <div class="alert alert-danger" role="alert">
            <?= htmlspecialchars($errorMessage) ?>
        </div>
    <?php endif; ?>

    <p><?= htmlspecialchars($translations['editing_password_for_user'] ?? 'Editing password for user: %username%') ?>: <strong><?= htmlspecialchars($user['username'] ?? '') ?></strong></p>

    <form action="/users/update-password" method="POST">
        <input type="hidden" name="user_id" value="<?= htmlspecialchars($user['id'] ?? '') ?>">

        <div class="mb-3">
            <label for="new_password" class="form-label"><?= htmlspecialchars($translations['new_password'] ?? 'New Password') ?></label>
            <input type="password" class="form-control" id="new_password" name="new_password" required>
        </div>

        <div class="mb-3">
            <label for="confirm_password" class="form-label"><?= htmlspecialchars($translations['confirm_new_password'] ?? 'Confirm New Password') ?></label>
            <input type="password" class="form-control" id="confirm_password" name="confirm_password" required>
        </div>

        <button type="submit" class="btn btn-primary"><?= htmlspecialchars($translations['update_password_button'] ?? 'Update Password') ?></button>
    </form>
</div>

<?php
require_once APP_ROOT_DIR . '/src/Views/shared/footer.php';
?>
